Package org.flowable.cmmn.model

# Class AbstractFlowableHttpHandler

java.lang.Object
org.flowable.cmmn.model.BaseElement
org.flowable.cmmn.model.AbstractFlowableHttpHandler

All Implemented Interfaces:
  `HasExtensionAttributes`

Direct Known Subclasses:
  `FlowableHttpRequestHandler`, `FlowableHttpResponseHandler`

public abstract class AbstractFlowableHttpHandler extends BaseElement

Author:
  Tijs Rademakers

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<FieldExtension>`
  `fieldExtensions`
  `protected String`
  `implementation`
  `protected String`
  `implementationType`
  `protected Object`
  `instance`

  ### Fields inherited from class org.flowable.cmmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractFlowableHttpHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract AbstractFlowableHttpHandler`
  `clone()`
  `List<FieldExtension>`
  `getFieldExtensions()`
  `String`
  `getImplementation()`
  `String`
  `getImplementationType()`
  `Object`
  `getInstance()`
  `void`
  `setFieldExtensions(List<FieldExtension> fieldExtensions)`
  `void`
  `setImplementation(String implementation)`
  `void`
  `setImplementationType(String implementationType)`
  `void`
  `setInstance(Object instance)`
  `void`
  `setValues(AbstractFlowableHttpHandler otherHandler)`

  ### Methods inherited from class org.flowable.cmmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### implementationType

    protected String implementationType

  - ### implementation

    protected String implementation

  - ### fieldExtensions

    protected List<FieldExtension> fieldExtensions

  - ### instance

    protected Object instance

- ## Constructor Details

  - ### AbstractFlowableHttpHandler

    public AbstractFlowableHttpHandler()

- ## Method Details

  - ### getImplementationType

    public String getImplementationType()

  - ### setImplementationType

    public void setImplementationType(String implementationType)

  - ### getImplementation

    public String getImplementation()

  - ### setImplementation

    public void setImplementation(String implementation)

  - ### getFieldExtensions

    public List<FieldExtension> getFieldExtensions()

  - ### setFieldExtensions

    public void setFieldExtensions(List<FieldExtension> fieldExtensions)

  - ### getInstance

    public Object getInstance()

  - ### setInstance

    public void setInstance(Object instance)

  - ### clone

    public abstract AbstractFlowableHttpHandler clone()
    Overrides:
      `clone` in class `Object`

  - ### setValues

    public void setValues(AbstractFlowableHttpHandler otherHandler)